Package com.plannaplan.responses.models

# Class TokenResponse

java.lang.Object
com.plannaplan.responses.models.TokenResponse

    public class TokenResponse
    extends java.lang.Object

Response to show after successfully login cation

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`TokenResponse​(com.plannaplan.entities.User user)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getAuthorityRole()` |
`java.lang.String` | `getEmail()` |
`java.lang.Long` | `getId()` |
`java.lang.String` | `getRefreshToken()` |
`java.lang.String` | `getToken()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TokenResponse

public TokenResponse​(com.plannaplan.entities.User user)

Parameters:
  `user` - user to be mapped to api response

## Method Details

### getEmail

public java.lang.String getEmail()

Returns:
  user email

### getAuthorityRole

public java.lang.String getAuthorityRole()

Returns:
  user role in system

### getId

public java.lang.Long getId()

Returns:
  db id

### getToken

public java.lang.String getToken()

Returns:
  user token to authorize other requests

### getRefreshToken

public java.lang.String getRefreshToken()

Returns:
  user refresh token